Subject: Re: [Sipping] Proposal for a solution to "3G Call TeardownRequir ement"

From: Paul Kyzivat <[email-masked]>
Date: Thu, 01 Nov 2001 09:05:37 -0500

I would like to second the observation that loss of media layer resource
doesn't necessarily mean loss of the session. In addition to the reasons
Mike mentions, it is also possible (in the general case) that this is a
multimedia session,and that some media remain.

	Paul

Michael Hammer wrote:
> 
> I was thinking that of necessity, this would be a phased operation.
> First, politely inform the user agent to update the session or leave;
> second, via the media, bluntly withdraw the resource from the
> not-well-behaving end-system.  In that latter case, you get the bearer
> layer informing the  signaling layer of the loss of resources.
> 
> This does not necessarily mean the session ends, as this could also
> simply be a loss of reserved resources and reversion to best-effort,
> depending on the networks being used.  Although in the 3GPP case,
> there may be circuit-switched resources that also release and causes
> the session to end.
> 
> Mike

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Roy, Radhika R, ALCTA" <[email-masked]>
Date: Fri, 2 Nov 2001 21:07:23 -0500

Comments are inline [RRR].

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]]
Sent: Thursday, November 01, 2001 9:06 AM
To: Michael Hammer

[RRR] In general, it is the case that the loss of media does not mean the
end of the session. In 3GPP case, the loss of media means the loss of "all"
media. In this case, they assume that the end of the session and, BYE needs
to be sent. I argued that, even then, the sending of BYE should not always
be the case because the UA (actual caller/callees) may try other means to
establish the session sending the re-INVITE. So, we need to find a
generalized solution that needs to be addressed in all cases including
3GPP's.

	Paul

> there may be circuit-switched resources that also release and causes

_